Bug 545039 - Review Request: xulrunner-python - Files needed to run Gecko applications written in python.
Review Request: xulrunner-python - Files needed to run Gecko applications wri...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
: 551292 (view as bug list)
Depends On:
Blocks: FedoraOLPCDelta SOAS-3
  Show dependency treegraph
 
Reported: 2009-12-07 07:14 EST by Martin Stransky
Modified: 2010-01-29 18:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-29 18:52:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2009-12-07 07:14:19 EST
Spec URL: http://people.redhat.com/stransky/python/xulrunner-python.spec
SRPM URL: http://people.redhat.com/stransky/python/xulrunner-python-1.9.2-1.20091125hg.fc11.src.rpm

Description: Files needed to run Gecko applications written in python. Former part of xulrunner package.
Comment 1 Thomas Spura 2009-12-18 09:37:22 EST
Just a few comments for now:

- https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

- Why do you use add_files and not the normal %files section?

- Why do you install in a own created directory and don't use $RPM_BUILD_ROOT?

- nspr_version is not existent. Is it even needed?
Comment 2 Martin Stransky 2010-01-05 04:49:08 EST
Thanks for the comments!

(In reply to comment #1)
> Just a few comments for now:
> - Why do you use add_files and not the normal %files section?

Because the file list is dynamically generated from pkg-config and depends on recently installed xulrunner package.

> - Why do you install in a own created directory and don't use $RPM_BUILD_ROOT?

$RPM_BUILD_ROOT is used...see add_files() macro. the %{builddir} is only a shortcut.

> - nspr_version is not existent. Is it even needed?  

Ahh, good point, nspr_version has to be added.
Comment 3 Peter Robinson 2010-01-05 05:41:41 EST
*** Bug 551292 has been marked as a duplicate of this bug. ***
Comment 4 Tomeu Vizoso 2010-01-06 15:30:36 EST
Thanks for working on this. Looks like we can drop the patch, the upstream maintainer just said in #pyxpcom:

(09:20:39 PM) toddw: tomeu: the patch is out of date - this was already fixed in pyxpcom trunk
(09:20:40 PM) toddw: http://hg.mozilla.org/pyxpcom/rev/8e0661d279a9
(09:20:45 PM) toddw: http://hg.mozilla.org/pyxpcom/rev/2cb5add2914a
Comment 5 Martin Stransky 2010-01-07 03:16:13 EST
(In reply to comment #4)
> Thanks for working on this. Looks like we can drop the patch, the upstream
> maintainer just said in #pyxpcom:
> 
> (09:20:39 PM) toddw: tomeu: the patch is out of date - this was already fixed
> in pyxpcom trunk
> (09:20:40 PM) toddw: http://hg.mozilla.org/pyxpcom/rev/8e0661d279a9
> (09:20:45 PM) toddw: http://hg.mozilla.org/pyxpcom/rev/2cb5add2914a  

Yes, I know, but I prefer to get review for this working version and then do any other update.
Comment 6 Peter Robinson 2010-01-10 07:20:59 EST
Some initial comments, and if you can the so an updated package I'll do a full review
- no gecko-devel-unstable in rawhide. I think its all in xulrunner-devel now?
- no %{nspr_version} but AFAICT it would be the same version as required by xulrunner-devel it should automatically be pulled in so is redundant
- Summary/Description could be improved "Files needed to run" is sort of redundant 
- I think you need to explicitly list files
- doesn't build in koji 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1912043
Needs at least:
BuildRequires:  autoconf213
BuildRequires:  python-devel
It then builds on x64 but not 32 bit 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1912049
- No need for empty %preun
Comment 7 Martin Stransky 2010-01-11 06:13:22 EST
Updated package uploaded, fixes all comments except the file list.

Spec URL: http://people.redhat.com/stransky/python/xulrunner-python.spec
SRPM URL: http://people.redhat.com/stransky/python/xulrunner-python-1.9.2-1.20100111hg.fc12.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1913521
Comment 8 Peter Robinson 2010-01-12 17:33:05 EST
A few minor things that need to be addressed

+ rpmlint output

rpmlint xulrunner-python-*
xulrunner-python.src: E: percent-in-dependency nspr-devel >= %{nspr_version}
xulrunner-python.src: W: summary-ended-with-dot Python interface for mozilla XPCOM library.
xulrunner-python.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)
xulrunner-python.x86_64: W: summary-ended-with-dot Python interface for mozilla XPCOM library.
xulrunner-python.x86_64: W: incoherent-version-in-changelog 1.9.2-1.20091125hg ['1.9.2-1.20100111hg.fc13', '1.9.2-1.20100111hg']
xulrunner-python.x86_64: W: no-documentation
xulrunner-python.x86_64: W: one-line-command-in-%post /sbin/ldconfig
xulrunner-python.x86_64: W: one-line-command-in-%postun /sbin/ldconfig
xulrunner-python-debuginfo.x86_64: E: debuginfo-without-sources
xulrunner-python-devel.x86_64: W: summary-ended-with-dot Development files for python XPCOM interface.
xulrunner-python-devel.x86_64: W: only-non-binary-in-usr-lib
xulrunner-python-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 2 errors, 10 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged
- %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  67eeb7bd7bc519a8adadc976e660791c  virt-mem-0.2.9.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
- BuildRequires list all build dependencies
  issues with undefined %{nspr_version}
n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ Package perserves timestamps on install
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
+ devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

- if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
+ the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 9 Martin Stransky 2010-01-13 05:19:39 EST
An updated version is here:

http://people.redhat.com/stransky/python/xulrunner-python.spec
http://people.redhat.com/stransky/python/xulrunner-python-1.9.2-2.20100111hg.fc11.src.rpm

Fixes:
- removed nspr-devel/%{nspr_version}
- removed dots
- added -p to %post/%postun
- fixed changelog

Only problem which remains is:

xulrunner-python-debuginfo.x86_64: E: debuginfo-without-sources

It needs extra work, find-debuginfo.sh is unable to locate sources because they are build with relative paths. We may need to rewrite the build scripts for it. Let's file a bug for it and fix it later.
Comment 10 Peter Robinson 2010-01-13 05:39:28 EST
> Only problem which remains is:
> 
> xulrunner-python-debuginfo.x86_64: E: debuginfo-without-sources
> 
> It needs extra work, find-debuginfo.sh is unable to locate sources because they
> are build with relative paths. We may need to rewrite the build scripts for it.
> Let's file a bug for it and fix it later.    

OK, can you update this bug with the details of the other bug once filed. Other than that this now looks OK. Approved.
Comment 11 Martin Stransky 2010-01-13 05:47:38 EST
New Package CVS Request
=======================
Package Name: xulrunner-python
Short Description: Python interface for mozilla XPCOM library
Owners: stransky
Branches:
InitialCC:
Comment 12 Jason Tibbitts 2010-01-13 13:03:10 EST
CVS done (by process-cvs-requests.py)
Comment 13 Peter Robinson 2010-01-19 07:45:39 EST
Martin: ping, would be useful to have this in rawhide so we can start testing sugar-browse against the latest xulrunner.
Comment 14 Sebastian Dziallas 2010-01-22 08:30:34 EST
Ping! What's the status here? We really need this one to have Sugar Browse working.
Comment 15 Sebastian Dziallas 2010-01-29 18:52:53 EST
This has been built for Rawhide now. Great work everybody! :)

Note You need to log in before you can comment on or make changes to this bug.